<?php
//Fill this information
$host     = "localhost"; // Database Host
$user     = ""; // Database Username
$password = ""; // Database's user Password
$database = ""; // Database Name

// Facebook App codes
@define('FB_APP_ID', 'Insert_Facebook_App_ID');
@define('FB_APP_SECRET', 'Insert_Facebook_App_Secret');
@define('FB_REDIRECT_URL', 'http://yourwebsite.com/index.php');

//------------------------------------------------------------

$mysqli = mysqli_connect($host, $user, $password, $database);

// Checking Connection
if (mysqli_connect_errno()) {
    echo "Failed to connect with MySQL: " . mysqli_connect_error();
}

mysqli_set_charset($mysqli, "utf8mb4");

if(!session_id()){
    @session_start([
		'cookie_lifetime' => 86400,
	]);
}

require_once __DIR__ . '/facebook-sdk/autoload.php';

use Facebook\Facebook;
use Facebook\Exceptions\FacebookResponseException;
use Facebook\Exceptions\FacebookSDKException;

// Call Facebook API
$fb = new Facebook(array(
    'app_id' => FB_APP_ID,
    'app_secret' => FB_APP_SECRET,
    'default_graph_version' => 'v3.2',
));

// Get redirect login helper
$helper = $fb->getRedirectLoginHelper();

// Try to get access token
try {
  if(isset($_SESSION['facebook_access_token'])){
    $accessToken = $_SESSION['facebook_access_token'];
  }else{
    $accessToken = $helper->getAccessToken();
  }
} catch(FacebookResponseException $e) {
    echo 'Graph returned an error: ' . $e->getMessage();
    exit;
} catch(FacebookSDKException $e) {
    echo 'Facebook SDK returned an error: ' . $e->getMessage();
    exit;
}

error_reporting(E_ERROR);
?>